Skip to main content
GET
/
api
/
v1
/
testing-lab
/
test-profiles
List Cekura test profiles for an agent
curl --request GET \
  --url https://prod.featherhq.com/api/v1/testing-lab/test-profiles \
  --header 'X-API-Key: <api-key>'
{
  "results": [
    {
      "id": 123,
      "agent": 123,
      "project": 123,
      "agent_name": "<string>",
      "name": "<string>",
      "information": {},
      "created_by": 123,
      "last_updated_by": 123,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "count": 123,
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

agentId
string
required

Response

Test profiles retrieved successfully

results
object[]
required
count
number
next
string | null
previous
string | null